## choqok 0.3.1

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(pt)
add_subdirectory(de)
add_subdirectory(nl)
add_subdirectory(sv)
add_subdirectory(nds)
add_subdirectory(uk)
add_subdirectory(zh_CN)
add_subdirectory(tr)
add_subdirectory(el)
add_subdirectory(gl)

=== src/CMakeLists.txt ===
set(choqok_SRCS
   accounts.cpp
   accountswizard.cpp
   mainwindow.cpp
   main.cpp
   statuswidget.cpp
   backend.cpp
   statustextedit.cpp
   mediamanager.cpp
   systrayicon.cpp
   quicktwit.cpp
   timelinewidget.cpp
   accountmanager.cpp
 )

kde4_add_ui_files(choqok_SRCS timelinewidget_base.ui prefs_base.ui status_base.ui accounts_base.ui 
accounts_wizard_base.ui appears_base.ui quicktwit_base.ui)

kde4_add_kcfg_files(choqok_SRCS settings.kcfgc )

kde4_add_executable(choqok ${choqok_SRCS})

target_link_libraries(choqok ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS choqok DESTINATION ${BIN_INSTALL_DIR} )

########### install files ###############

install( FILES choqok.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES choqok.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES choqokui.rc choqok.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/choqok )

## choqok 0.4

=== CMakeLists.txt ===
project(choqok)
cmake_minimum_required(VERSION 2.6)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

add_subdirectory( src )
add_subdirectory( icons )
include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -5,13 +5,20 @@
 if (NOT GETTEXT_MSGFMT_EXECUTABLE)
 MESSAGE(FATAL_ERROR "Please install msgmerge binary")
 endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
+add_subdirectory(lt)
+add_subdirectory(ro)
+add_subdirectory(et)
 add_subdirectory(pt)
 add_subdirectory(de)
 add_subdirectory(nl)
+add_subdirectory(pt_BR)
+add_subdirectory(cs)
 add_subdirectory(sv)
 add_subdirectory(nds)
 add_subdirectory(uk)
+add_subdirectory(ga)
 add_subdirectory(zh_CN)
 add_subdirectory(tr)
 add_subdirectory(el)
+add_subdirectory(km)
 add_subdirectory(gl)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,10 @@
    quicktwit.cpp
    timelinewidget.cpp
    accountmanager.cpp
+   account.cpp
  )
 
-kde4_add_ui_files(choqok_SRCS timelinewidget_base.ui prefs_base.ui status_base.ui accounts_base.ui 
+kde4_add_ui_files(choqok_SRCS timelinewidget_base.ui prefs_base.ui statuswidget_base.ui accounts_base.ui 
 accounts_wizard_base.ui appears_base.ui quicktwit_base.ui)
 
 kde4_add_kcfg_files(choqok_SRCS settings.kcfgc )

## choqok 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,5 +7,8 @@
 
 add_subdirectory( src )
 add_subdirectory( icons )
+
 include(MacroOptionalAddSubdirectory)
 macro_optional_add_subdirectory( po )
+
+#macro_optional_add_subdirectory( doc )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 MESSAGE(FATAL_ERROR "Please install msgmerge binary")
 endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
 add_subdirectory(lt)
+add_subdirectory(ru)
 add_subdirectory(ro)
 add_subdirectory(et)
 add_subdirectory(pt)
@@ -14,11 +15,18 @@
 add_subdirectory(pt_BR)
 add_subdirectory(cs)
 add_subdirectory(sv)
+add_subdirectory(is)
 add_subdirectory(nds)
 add_subdirectory(uk)
+add_subdirectory(bg)
+add_subdirectory(sk)
 add_subdirectory(ga)
 add_subdirectory(zh_CN)
+add_subdirectory(ms)
 add_subdirectory(tr)
+add_subdirectory(da)
+add_subdirectory(zh_TW)
 add_subdirectory(el)
 add_subdirectory(km)
 add_subdirectory(gl)
+add_subdirectory(en_GB)

=== src/CMakeLists.txt ===
set(choqok_SRCS
   search.cpp
   twittersearch.cpp
   identicasearch.cpp
   accounts.cpp
   accountswizard.cpp
   mainwindow.cpp
   main.cpp
   statuswidget.cpp
   backend.cpp
   statustextedit.cpp
   mediamanager.cpp
   systrayicon.cpp
   quicktwit.cpp
   timelinewidget.cpp
   searchwindow.cpp
   accountmanager.cpp
   account.cpp
   userinfowidget.cpp
 )

kde4_add_ui_files(choqok_SRCS timelinewidget_base.ui prefs_base.ui accounts_base.ui 
accounts_wizard_base.ui appears_base.ui quicktwit_base.ui searchwidget_base.ui)

kde4_add_kcfg_files(choqok_SRCS settings.kcfgc )

kde4_add_app_icon(choqok_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-choqok.png")

kde4_add_executable(choqok ${choqok_SRCS})

target_link_libraries(choqok ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS})

install(TARGETS choqok ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES choqok.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES choqok.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES choqokui.rc choqok.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/choqok )

## choqok 0.6.6

=== CMakeLists.txt ===
project(choqok)
cmake_minimum_required(VERSION 2.6)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
set(CHOQOK_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(CHOQOK_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR})

set(CHOQOK_INCLUDES
${KDE4_INCLUDES}
${QT_INCLUDES}
${CHOQOK_SOURCE_DIR}/choqok/
${CHOQOK_BINARY_DIR}}/choqok/
)


add_subdirectory( choqok )
add_subdirectory( icons )

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== choqok/CMakeLists.txt ===
set(choqok_SRCS
   search.cpp
   twittersearch.cpp
   identicasearch.cpp
   accounts.cpp
   accountswizard.cpp
   mainwindow.cpp
   main.cpp
   statuswidget.cpp
   backend.cpp
   statustextedit.cpp
   mediamanager.cpp
   systrayicon.cpp
   quicktwit.cpp
   timelinewidget.cpp
   searchwindow.cpp
   accountmanager.cpp
   account.cpp
   userinfowidget.cpp
   showthread.cpp
)
include_directories(
 ${CHOQOK_INCLUDES}
)
kde4_add_ui_files(choqok_SRCS timelinewidget_base.ui prefs_base.ui accounts_base.ui 
accounts_wizard_base.ui appears_base.ui quicktwit_base.ui searchwidget_base.ui
showthread_base.ui)

kde4_add_kcfg_files(choqok_SRCS settings.kcfgc )

kde4_add_app_icon(choqok_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-choqok.png")

kde4_add_executable(choqok_bin ${choqok_SRCS})
set_target_properties(choqok_bin PROPERTIES OUTPUT_NAME choqok)

target_link_libraries(choqok_bin ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS})

install(TARGETS choqok_bin ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES choqok.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES choqok.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES choqokui.rc choqok.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/choqok )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -6,11 +6,13 @@
 MESSAGE(FATAL_ERROR "Please install msgmerge binary")
 endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
 add_subdirectory(lt)
+add_subdirectory(es)
 add_subdirectory(ru)
 add_subdirectory(ro)
 add_subdirectory(et)
 add_subdirectory(pt)
 add_subdirectory(de)
+add_subdirectory(hu)
 add_subdirectory(nl)
 add_subdirectory(pt_BR)
 add_subdirectory(cs)

## choqok 0.9.55a

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,20 @@
 set(CHOQOK_INCLUDES
 ${KDE4_INCLUDES}
 ${QT_INCLUDES}
-${CHOQOK_SOURCE_DIR}/choqok/
-${CHOQOK_BINARY_DIR}}/choqok/
+${CHOQOK_SOURCE_DIR}/helperlibs
+${CHOQOK_BINARY_DIR}/helperlibs
+${CHOQOK_SOURCE_DIR}/libchoqok/
+${CHOQOK_BINARY_DIR}/libchoqok/
+${CHOQOK_SOURCE_DIR}/libchoqok/ui/
 )
 
-
+add_subdirectory( libchoqok )
+add_subdirectory( helperlibs )
 add_subdirectory( choqok )
 add_subdirectory( icons )
+add_subdirectory( plugins )
+add_subdirectory(microblogs)
+add_subdirectory(images)
 
 include(MacroOptionalAddSubdirectory)
 macro_optional_add_subdirectory( po )

=== choqok/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

add_subdirectory( config )

set(choqok_SRCS
   choqokapplication.cpp
   mainwindow.cpp
   main.cpp
   systrayicon.cpp
)

# kde4_add_ui_files(choqok_SRCS accounts/accountswidget_base.ui)

# kde4_add_kcfg_files(choqok_SRCS settings.kcfgc )

kde4_add_app_icon(choqok_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-choqok.png")

kde4_add_executable(choqok_bin ${choqok_SRCS})
set_target_properties(choqok_bin PROPERTIES OUTPUT_NAME choqok)

target_link_libraries(choqok_bin ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_bin ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES choqok.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
# install( FILES choqok.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES choqokui.rc choqok.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/choqok )

=== libchoqok/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

set(choqok_LIB_SRCS
plugin.cpp
shortener.cpp
account.cpp
microblog.cpp
pluginmanager.cpp
shortenmanager.cpp
accountmanager.cpp
passwordmanager.cpp
mediamanager.cpp
notifymanager.cpp
choqokuiglobal.cpp
choqokid.cpp
choqoktools.cpp
ui/microblogwidget.cpp
ui/editaccountwidget.cpp
ui/timelinewidget.cpp
ui/postwidget.cpp
ui/choqoktextedit.cpp
ui/composerwidget.cpp
ui/quickpost.cpp
ui/mainwindow.cpp
# filtermanager.cpp
# filter.cpp
)
kde4_add_kcfg_files(choqok_LIB_SRCS
choqokbehaviorsettings.kcfgc
choqokappearancesettings.kcfgc
)
# kde4_add_ui_files(choqok_LIB_SRCS ui/timelinewidget_base.ui )

kde4_add_library(choqok SHARED ${choqok_LIB_SRCS})

target_link_libraries(choqok ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS})

set_target_properties(choqok PROPERTIES
VERSION 0.9.55
SOVERSION 0
)

if(MSVC)
    set_target_properties(choqok PROPERTIES
    OUTPUT_NAME libchoqok
    )
endif(MSVC)

install( FILES choqokbehaviorsettings.kcfg choqokappearancesettings.kcfg
         DESTINATION ${KCFG_INSTALL_DIR})

install(TARGETS choqok ${INSTALL_TARGETS_DEFAULT_ARGS})
install( FILES choqokplugin.desktop choqokshortenerplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/choqokbehaviorsettings.h
    ${CMAKE_CURRENT_BINARY_DIR}/choqokappearancesettings.h
    account.h
    accountmanager.h
    choqok_export.h
    choqokid.h
    choqoktypes.h
    choqokuiglobal.h
    mediamanager.h
    microblog.h
    notifymanager.h
    passwordmanager.h
    plugin.h
    pluginmanager.h
    shortener.h
    shortenmanager.h
    choqoktools.h
    ui/choqoktextedit.h
    ui/composerwidget.h
    ui/editaccountwidget.h
    ui/mainwindow.h
    ui/microblogwidget.h
    ui/postwidget.h
    ui/quickpost.h
    ui/timelinewidget.h
DESTINATION ${INCLUDE_INSTALL_DIR}/choqok COMPONENT Devel)

=== plugins/CMakeLists.txt ===

add_subdirectory(shorteners)
add_subdirectory(nowlistening)
add_subdirectory(untiny)
add_subdirectory(searchaction)
add_subdirectory(imagepreview)
add_subdirectory(twitpic)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,12 @@
 if (NOT GETTEXT_MSGFMT_EXECUTABLE)
 MESSAGE(FATAL_ERROR "Please install msgmerge binary")
 endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
+add_subdirectory(pl)
 add_subdirectory(lt)
 add_subdirectory(es)
 add_subdirectory(ru)
 add_subdirectory(ro)
+add_subdirectory(fr)
 add_subdirectory(et)
 add_subdirectory(pt)
 add_subdirectory(de)
@@ -20,10 +22,15 @@
 add_subdirectory(is)
 add_subdirectory(nds)
 add_subdirectory(uk)
+add_subdirectory(ja)
+add_subdirectory(fi)
+add_subdirectory(pa)
 add_subdirectory(bg)
 add_subdirectory(sk)
 add_subdirectory(ga)
+add_subdirectory(hr)
 add_subdirectory(zh_CN)
+add_subdirectory(nb)
 add_subdirectory(ms)
 add_subdirectory(tr)
 add_subdirectory(da)
@@ -31,4 +38,5 @@
 add_subdirectory(el)
 add_subdirectory(km)
 add_subdirectory(gl)
+add_subdirectory(eo)
 add_subdirectory(en_GB)

=== helperlibs/twitterapihelper/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

set(twitterhelper_LIB_SRCS
twitterapiaccount.cpp
twitterapimicroblog.cpp
twitterapipostwidget.cpp
twitterapidmessagedialog.cpp
twitterapisearch.cpp
twitterapisearchdialog.cpp
twitterapimicroblogwidget.cpp
twitterapisearchtimelinewidget.cpp
twitterapiwhoiswidget.cpp
twitterapishowthread.cpp
)

kde4_add_library(twitterapihelper SHARED ${twitterhelper_LIB_SRCS})

target_link_libraries(twitterapihelper ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS} choqok)

set_target_properties(twitterapihelper PROPERTIES
VERSION 0.7
SOVERSION 0
)

install(TARGETS twitterapihelper ${INSTALL_TARGETS_DEFAULT_ARGS})

install( FILES
    twitterapiaccount.h
    twitterapidmessagedialog.h
    twitterapimicroblog.h
    twitterapimicroblogwidget.h
    twitterapipostwidget.h
    twitterapisearch.h
    twitterapisearchdialog.h
    twitterapisearchtimelinewidget.h
    twitterapiwhoiswidget.h
    twitterapishowthread.h
DESTINATION ${INCLUDE_INSTALL_DIR}/choqok/twitterapihelper COMPONENT Devel)

=== microblogs/laconica/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
${CMAKE_CURRENT_BINARY_DIR}
)

set( choqok_laconica_SRCS
laconicaaccount.cpp
laconicamicroblog.cpp
laconicasearch.cpp
laconicaeditaccount.cpp
laconicapostwidget.cpp
laconicacomposerwidget.cpp
)

kde4_add_ui_files(choqok_laconica_SRCS laconicaeditaccount_base.ui )

kde4_add_plugin(choqok_laconica ${choqok_laconica_SRCS})

target_link_libraries(choqok_laconica ${KDE4_KIO_LIBS} choqok twitterapihelper)

# Install

install(TARGETS choqok_laconica DESTINATION ${PLUGIN_INSTALL_DIR})
install( FILES choqok_laconica.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(icons)

=== microblogs/twitter/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
${CMAKE_CURRENT_BINARY_DIR}
)

set( choqok_twitter_SRCS 
twitteraccount.cpp
twittermicroblog.cpp
twittereditaccount.cpp
twitterpostwidget.cpp
twittersearch.cpp
)

kde4_add_ui_files(choqok_twitter_SRCS twittereditaccount_base.ui )

kde4_add_plugin(choqok_twitter ${choqok_twitter_SRCS})

target_link_libraries(choqok_twitter ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} choqok twitterapihelper)

# Install

install(TARGETS choqok_twitter DESTINATION ${PLUGIN_INSTALL_DIR})
install( FILES choqok_twitter.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

add_subdirectory(icons)

=== plugins/nowlistening/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

########### next target ###############

set( choqok_nowlistening_PART_SRCS
nowlistening.cpp )

kde4_add_kcfg_files(choqok_nowlistening_PART_SRCS nowlisteningsettings.kcfgc )

kde4_add_plugin(choqok_nowlistening ${choqok_nowlistening_PART_SRCS})

target_link_libraries(choqok_nowlistening ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_nowlistening DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set( kcm_choqok_nowlistening_PART_SRCS
nowlisteningconfig.cpp )

kde4_add_ui_files(kcm_choqok_nowlistening_PART_SRCS nowlisteningprefs.ui )

kde4_add_kcfg_files(kcm_choqok_nowlistening_PART_SRCS nowlisteningsettings.kcfgc )

kde4_add_plugin(kcm_choqok_nowlistening ${kcm_choqok_nowlistening_PART_SRCS})

target_link_libraries(kcm_choqok_nowlistening ${KDE4_KDEUI_LIBS})

install(TARGETS kcm_choqok_nowlistening DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

install( FILES nowlisteningsettings.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES choqok_nowlistening_config.desktop choqok_nowlistening.desktop
         DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES nowlisteningui.rc  DESTINATION  ${DATA_INSTALL_DIR}/choqok_nowlistening )

=== plugins/shorteners/CMakeLists.txt ===

add_subdirectory(tighturl)
add_subdirectory(digg)
add_subdirectory(is_gd)
add_subdirectory(ur1_ca)
add_subdirectory(yourls)

=== plugins/twitpic/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

########### next target ###############

set( choqok_twitpic_PART_SRCS
twitpic.cpp
twitpicuploadimage.cpp )

kde4_add_ui_files(choqok_twitpic_PART_SRCS twitpicuploadimage_base.ui)

kde4_add_kcfg_files(choqok_twitpic_PART_SRCS twitpicsettings.kcfgc )

kde4_add_plugin(choqok_twitpic ${choqok_twitpic_PART_SRCS})

target_link_libraries(choqok_twitpic ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_twitpic DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set( kcm_choqok_twitpic_PART_SRCS
twitpicconfig.cpp )

kde4_add_ui_files(kcm_choqok_twitpic_PART_SRCS twitpicprefs.ui )

kde4_add_kcfg_files(kcm_choqok_twitpic_PART_SRCS twitpicsettings.kcfgc )

kde4_add_plugin(kcm_choqok_twitpic ${kcm_choqok_twitpic_PART_SRCS})

target_link_libraries(kcm_choqok_twitpic ${KDE4_KDEUI_LIBS} choqok)

install(TARGETS kcm_choqok_twitpic DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

install( FILES twitpicsettings.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES choqok_twitpic_config.desktop choqok_twitpic.desktop
         DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES twitpicui.rc  DESTINATION  ${DATA_INSTALL_DIR}/choqok_twitpic )

=== debian/changelog ===
choqok (0.9.55a-0ubuntu1) lucid; urgency=low

  * Lets try actually making packages source format 3 when we claim to do so
    + Fix transition to source format 3
    + Exchange accidently created native tarball with upstream's

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 07 Mar 2010 21:59:22 +0100

choqok (0.9.55-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * Readd pkg-kde-tool build-depend, was a mistake to remove it

  [ Harald Sitter ]
  * New upstream release (1.0 beta1)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 07 Mar 2010 21:49:43 +0100

choqok (0.9.4+git20100202-0ubuntu1) lucid; urgency=low

  * New upstream git snapshot
  * Switch to source format 3.0
  * Remove build-deps cdbs and pkg-kde-tools
  * Bump version of debhelper build-dep to >= 7.0.50
  * Remove build-dep cmake, not necessary
  * Transition to dh --with kde $@
  * Fix typo in long description
  * Add patch kubuntu_01_fix_duplicated_key_in_desktop_entry.diff, fixes 
    lintian warning about duplicated entry in desktop file
  * Create new manpage using kdemangen, remove old docbook from debian 
    and rules
  * Add two new lintian overrides: non-dev-pkg-with-shlib-symlink
  * Add correct VCS-Browser and VCS-Bzr again, remove VCS-Git

 -- Christian Mangold <neversfelde@ubuntu.com>  Tue, 02 Feb 2010 19:11:59 +0100

choqok (0.9.4+git20091230-1) unstable; urgency=low

  * Pull latest upstream git changes up to dbcfbfb from gitorious.

 -- Noah Meyerhans <noahm@debian.org>  Wed, 30 Dec 2009 23:03:45 -0500

choqok (0.9.4-1) unstable; urgency=low

  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 15 Oct 2009 21:55:41 -0400

choqok (0.9.1+git20091012-1) unstable; urgency=low

  * New upstream git snapshot including changes up to 
    0c092cbeaaa99253028b18f4dc00ced3ca8f01bf

 -- Noah Meyerhans <noahm@debian.org>  Tue, 13 Oct 2009 00:26:21 -0400

choqok (0.9.1+git20091003-1) unstable; urgency=low

  * Pull upstream changes from gitorious revision 
    22d4e77e40dd6c2b2954bdd5d7bf64a97fe39545

 -- Noah Meyerhans <noahm@debian.org>  Sat, 03 Oct 2009 13:53:03 -0400

choqok (0.9.1+git20090921-1) unstable; urgency=low

  * pull new upstream code from git://gitorious.org/choqok/choqok.git
  * add lintian overrides to suppress warnings about library sonames.
  * Stop installing .so files.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 22 Sep 2009 10:35:56 -0400

choqok (0.9.1-1) unstable; urgency=low

  * New upstream version

 -- Noah Meyerhans <noahm@debian.org>  Sun, 13 Sep 2009 19:40:53 -0400

choqok (0.6.6-2) unstable; urgency=low

  * Fix unnecessary architecture restrictions

 -- Noah Meyerhans <noahm@debian.org>  Mon, 07 Sep 2009 13:22:24 -0400

choqok (0.6.6-1) unstable; urgency=low

  * Initial release (Closes: #543956)

 -- Andrey Voronov <voronov84@gmail.com>  Fri, 28 Aug 2009 07:08:23 +0300

=== debian/control ===
Source: choqok
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
Uploaders: Andrey Voronov <voronov84@gmail.com>
Build-Depends: debhelper (>= 7.0.50), pkg-kde-tools, kdelibs5-dev (>= 4:4.3.0)
Standards-Version: 3.8.3
Homepage: http://choqok.gnufolks.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/choqok/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/choqok/ubuntu

Package: choqok
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE micro-blogging client
 Choqok is a fast, efficient and simple to use micro-blogging client for KDE.
 It currently supports the twitter.com and identi.ca microblogging services.
 .
 Other notable features include:
    * Support for user + friends time-lines.
    * Support for @Reply time-lines.
    * Support for sending and receiving direct messages.
    * Twitpic.com integration.
    * The ability to use multiple accounts simultaneously.
    * Support for search APIs for all services.
    * KWallet integration.
    * Support for automatic shortening urls with more than 30 characters.
    * Support for configuring status lists appearance.

## choqok 0.9.81

=== CMakeLists.txt ===
project(choqok)
cmake_minimum_required(VERSION 2.6)
find_package(KDE4 REQUIRED 4.4)
include (KDE4Defaults)
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
set(CHOQOK_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(CHOQOK_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR})

set(CMAKE_MODULE_PATH ${CHOQOK_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(QJson REQUIRED)
find_package(QCA2 REQUIRED)
find_package(QtOAuth REQUIRED)

set(CHOQOK_INCLUDES
${KDE4_INCLUDES}
${QT_INCLUDES}
${QJSON_INCLUDE_DIR}
${QCA2_INCLUDE_DIR}
${QTOAUTH_INCLUDE_DIR}
${CHOQOK_SOURCE_DIR}/helperlibs
${CHOQOK_BINARY_DIR}/helperlibs
${CHOQOK_SOURCE_DIR}/libchoqok/
${CHOQOK_BINARY_DIR}/libchoqok/
${CHOQOK_SOURCE_DIR}/libchoqok/ui/
)

add_subdirectory( libchoqok )
add_subdirectory( helperlibs )
add_subdirectory( choqok )
add_subdirectory( icons )
add_subdirectory( plugins )
add_subdirectory( microblogs )
add_subdirectory( images )
add_subdirectory( cmake )

=== choqok/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+include(DBusMacros)
 
 include_directories(
 ${CHOQOK_INCLUDES}
@@ -5,7 +6,7 @@
 
 add_subdirectory( config )
 
-set(choqok_SRCS
+set(choqok_SRCS 
    choqokapplication.cpp
    mainwindow.cpp
    main.cpp
@@ -15,6 +16,7 @@
 # kde4_add_ui_files(choqok_SRCS accounts/accountswidget_base.ui)
 
 # kde4_add_kcfg_files(choqok_SRCS settings.kcfgc )
+dbus_add_activation_service(org.kde.choqok.service.in)
 
 kde4_add_app_icon(choqok_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-choqok.png")
 
@@ -30,5 +32,3 @@
 install( FILES choqok.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR} )
 # install( FILES choqok.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
 install( FILES choqokui.rc choqok.notifyrc  DESTINATION  ${DATA_INSTALL_DIR}/choqok )
-
-

=== libchoqok/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 set(choqok_LIB_SRCS
 plugin.cpp
 shortener.cpp
+uploader.cpp
 account.cpp
 microblog.cpp
 pluginmanager.cpp
@@ -17,6 +18,7 @@
 choqokuiglobal.cpp
 choqokid.cpp
 choqoktools.cpp
+dbushandler.cpp
 ui/microblogwidget.cpp
 ui/editaccountwidget.cpp
 ui/timelinewidget.cpp
@@ -25,21 +27,27 @@
 ui/composerwidget.cpp
 ui/quickpost.cpp
 ui/mainwindow.cpp
+ui/uploadmediadialog.cpp
+ui/textbrowser.cpp
 # filtermanager.cpp
 # filter.cpp
 )
+
+qt4_add_dbus_adaptor( choqok_LIB_SRCS org.kde.choqok.xml dbushandler.h Choqok::DbusHandler ChoqokAdaptor ) 
+
 kde4_add_kcfg_files(choqok_LIB_SRCS
 choqokbehaviorsettings.kcfgc
 choqokappearancesettings.kcfgc
 )
-# kde4_add_ui_files(choqok_LIB_SRCS ui/timelinewidget_base.ui )
+
+kde4_add_ui_files(choqok_LIB_SRCS ui/uploadmedia_base.ui)
 
 kde4_add_library(choqok SHARED ${choqok_LIB_SRCS})
 
 target_link_libraries(choqok ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS})
 
 set_target_properties(choqok PROPERTIES
-VERSION 0.9.55
+VERSION 0.9.80
 SOVERSION 0
 )
 
@@ -53,7 +61,8 @@
          DESTINATION ${KCFG_INSTALL_DIR})
 
 install(TARGETS choqok ${INSTALL_TARGETS_DEFAULT_ARGS})
-install( FILES choqokplugin.desktop choqokshortenerplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
+install( FILES choqokplugin.desktop choqokshortenerplugin.desktop
+               choqokuploaderplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
 
 install( FILES
     ${CMAKE_CURRENT_BINARY_DIR}/choqokbehaviorsettings.h
@@ -71,7 +80,9 @@
     plugin.h
     pluginmanager.h
     shortener.h
+    uploader.h
     shortenmanager.h
+    dbushandler.h
     choqoktools.h
     ui/choqoktextedit.h
     ui/composerwidget.h
@@ -81,4 +92,6 @@
     ui/postwidget.h
     ui/quickpost.h
     ui/timelinewidget.h
+    ui/uploadmediadialog.h
+    ui/textbrowser.h
 DESTINATION ${INCLUDE_INSTALL_DIR}/choqok COMPONENT Devel)

=== microblogs/CMakeLists.txt ===


add_subdirectory(twitter)
add_subdirectory(laconica)

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -4,4 +4,7 @@
 add_subdirectory(untiny)
 add_subdirectory(searchaction)
 add_subdirectory(imagepreview)
-add_subdirectory(twitpic)
+add_subdirectory(videopreview)
+add_subdirectory(uploaders)
+add_subdirectory(filter)
+add_subdirectory(konqueror)

=== cmake/modules/CMakeLists.txt ===
# install the cmake files

set(cmakeFiles FindChoqok.cmake FindQJson.cmake FindQtOAuth.cmake)
install( FILES ${cmakeFiles} DESTINATION ${DATA_INSTALL_DIR}/cmake/modules )

=== helperlibs/twitterapihelper/CMakeLists.txt ===
--- 
+++ 
@@ -14,14 +14,20 @@
 twitterapisearchtimelinewidget.cpp
 twitterapiwhoiswidget.cpp
 twitterapishowthread.cpp
+twitterapitextedit.cpp
+twitterapicomposerwidget.cpp
 )
 
 kde4_add_library(twitterapihelper SHARED ${twitterhelper_LIB_SRCS})
 
-target_link_libraries(twitterapihelper ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS} choqok)
+target_link_libraries( twitterapihelper
+                       ${QT_QTNETWORK_LIBRARY}
+                       ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS}
+                       ${QTOAUTH_LIBRARY} ${QJSON_LIBRARY}
+                       choqok)
 
 set_target_properties(twitterapihelper PROPERTIES
-VERSION 0.7
+VERSION 0.9
 SOVERSION 0
 )

=== microblogs/twitter/CMakeLists.txt ===
--- 
+++ 
@@ -7,16 +7,18 @@
 set( choqok_twitter_SRCS 
 twitteraccount.cpp
 twittermicroblog.cpp
-twittereditaccount.cpp
 twitterpostwidget.cpp
 twittersearch.cpp
+twittereditaccount.cpp
 )
 
-kde4_add_ui_files(choqok_twitter_SRCS twittereditaccount_base.ui )
+kde4_add_ui_files(choqok_twitter_SRCS
+twittereditaccount_base.ui
+)
 
 kde4_add_plugin(choqok_twitter ${choqok_twitter_SRCS})
 
-target_link_libraries(choqok_twitter ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} choqok twitterapihelper)
+target_link_libraries(choqok_twitter ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} choqok twitterapihelper ${QTOAUTH_LIBRARY})
 
 # Install

=== plugins/shorteners/CMakeLists.txt ===

add_subdirectory(tighturl)
add_subdirectory(digg)
add_subdirectory(is_gd)
add_subdirectory(ur1_ca)
add_subdirectory(urls_io)
add_subdirectory(yourls)
add_subdirectory(ur_ly)
add_subdirectory(u_nu)
add_subdirectory(goo_gl)

=== plugins/untiny/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

########### next target ###############

set( choqok_untiny_PART_SRCS
untiny.cpp )


kde4_add_plugin(choqok_untiny ${choqok_untiny_PART_SRCS})

target_link_libraries(choqok_untiny ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_untiny DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

install( FILES choqok_untiny.desktop
         DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/shorteners/digg/CMakeLists.txt ===
include_directories(
${CHOQOK_INCLUDES}
)

set( choqok_digg_SRCS
digg.cpp )

kde4_add_plugin(choqok_digg ${choqok_digg_SRCS})

target_link_libraries(choqok_digg ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_digg DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES choqok_digg.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/shorteners/u_nu/CMakeLists.txt ===
include_directories(
${CHOQOK_INCLUDES}
)

set( choqok_u_nu_SRCS
u_nu.cpp )

kde4_add_plugin(choqok_u_nu ${choqok_u_nu_SRCS})

target_link_libraries(choqok_u_nu ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_u_nu DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES choqok_u_nu.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

## choqok 0.9.85

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,3 +33,6 @@
 add_subdirectory( microblogs )
 add_subdirectory( images )
 add_subdirectory( cmake )
+
+include(MacroOptionalAddSubdirectory)
+macro_optional_add_subdirectory( po )

=== libchoqok/CMakeLists.txt ===
--- 
+++ 
@@ -29,8 +29,6 @@
 ui/mainwindow.cpp
 ui/uploadmediadialog.cpp
 ui/textbrowser.cpp
-# filtermanager.cpp
-# filter.cpp
 )
 
 qt4_add_dbus_adaptor( choqok_LIB_SRCS org.kde.choqok.xml dbushandler.h Choqok::DbusHandler ChoqokAdaptor ) 
@@ -47,7 +45,7 @@
 target_link_libraries(choqok ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS})
 
 set_target_properties(choqok PROPERTIES
-VERSION 0.9.80
+VERSION 0.9.85
 SOVERSION 0
 )

=== plugins/CMakeLists.txt ===


=== po/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 add_subdirectory(ru)
 add_subdirectory(ro)
 add_subdirectory(fr)
+add_subdirectory(ca)
 add_subdirectory(et)
 add_subdirectory(pt)
 add_subdirectory(de)
@@ -23,6 +24,7 @@
 add_subdirectory(nds)
 add_subdirectory(uk)
 add_subdirectory(ja)
+add_subdirectory(ca@valencia)
 add_subdirectory(fi)
 add_subdirectory(pa)
 add_subdirectory(bg)

=== helperlibs/twitterapihelper/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
                        choqok)
 
 set_target_properties(twitterapihelper PROPERTIES
-VERSION 0.9
+VERSION 0.9.2
 SOVERSION 0
 )
 
@@ -44,4 +44,6 @@
     twitterapisearchtimelinewidget.h
     twitterapiwhoiswidget.h
     twitterapishowthread.h
+    twitterapitextedit.h
+    twitterapicomposerwidget.h
 DESTINATION ${INCLUDE_INSTALL_DIR}/choqok/twitterapihelper COMPONENT Devel)

=== plugins/konqueror/CMakeLists.txt ===
#include(DBusMacros)

include(MacroOptionalDependPackage)

MACRO_OPTIONAL_DEPEND_PACKAGE(KWebKitPart "kwebkitpart")
if(DEPEND_PACKAGE_KWebKitPart)
	#macro_optional_find_package(KWebKitPart QUIET)
	find_package(KWebKitPart)
else(DEPEND_PACKAGE_KWebKitPart)
	set(KWEBKITPART_FOUND FALSE)
endif(DEPEND_PACKAGE_KWebKitPart)

if(KWEBKITPART_FOUND)
	add_definitions(-DHAVE_KWEBKITPART)
	include_directories(${KWEBKITPART_INCLUDE_DIR})
	set(HAVE_KWEBKITPART true)
endif(KWEBKITPART_FOUND)


macro_log_feature(KWEBKITPART_FOUND "KWebKitPart" "KWebKitPart libraries and header files" "https://svn.kde.org/home/kde/trunk/extragear/base/kwebkitpart" FALSE "" "KWebKitPart is necessary to compile Choqok support for KWebKitPart.")

include_directories(
${CHOQOK_INCLUDES}
)

set(konqchoqokplugin_SRCS konqchoqok.cpp)

kde4_add_plugin(konqchoqokplugin ${konqchoqokplugin_SRCS})

target_link_libraries(konqchoqokplugin ${KDE4_KHTML_LIBS} choqok )

if(KWEBKITPART_FOUND)
	target_link_libraries(konqchoqokplugin ${KWEBKITPART_LIBRARIES} choqok ${KDE4_KDEWEBKIT_LIBS} ${QT_QTWEBKIT_LIBRARY})
endif(KWEBKITPART_FOUND)

install(TARGETS konqchoqokplugin DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES konqchoqok.rc konqchoqok.desktop DESTINATION ${DATA_INSTALL_DIR}/khtml/kpartplugins )

if(KWEBKITPART_FOUND)
	install(FILES konqchoqok.rc konqchoqok.desktop DESTINATION ${DATA_INSTALL_DIR}/kwebkitpart/kpartplugins )
endif (KWEBKITPART_FOUND)

install( FILES choqok_share.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus )
install( FILES choqok_upload.desktop DESTINATION ${SERVICES_INSTALL_DIR}/ServiceMenus )

=== plugins/shorteners/CMakeLists.txt ===
--- 
+++ 
@@ -8,3 +8,4 @@
 add_subdirectory(ur_ly)
 add_subdirectory(u_nu)
 add_subdirectory(goo_gl)
+add_subdirectory(three_ly)

=== plugins/uploaders/CMakeLists.txt ===

add_subdirectory(twitpic)
add_subdirectory(yfrog)

=== choqok/config/appearance/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

# link_directories(  )


########### next target ###############

set(kcm_choqok_appearanceconfig_PART_SRCS
appearanceconfig.cpp )

kde4_add_ui_files(kcm_choqok_appearanceconfig_PART_SRCS
appearanceconfig_base.ui )

kde4_add_plugin(kcm_choqok_appearanceconfig ${kcm_choqok_appearanceconfig_PART_SRCS})


target_link_libraries(kcm_choqok_appearanceconfig ${KDE4_KUTILS_LIBS} choqok )

install(TARGETS kcm_choqok_appearanceconfig  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES choqok_appearanceconfig.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== choqok/config/behavior/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)


########### next target ###############

set(kcm_choqok_behaviorconfig_PART_SRCS
   behaviorconfig.cpp
   behaviorconfig_shorten.cpp
   )

kde4_add_ui_files(kcm_choqok_behaviorconfig_PART_SRCS
   behaviorconfig_general.ui
   behaviorconfig_notifications.ui
   behaviorconfig_shorten_base.ui
   )


kde4_add_plugin(kcm_choqok_behaviorconfig ${kcm_choqok_behaviorconfig_PART_SRCS})


target_link_libraries(kcm_choqok_behaviorconfig  ${KDE4_KUTILS_LIBS} choqok)

install(TARGETS kcm_choqok_behaviorconfig  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES choqok_behaviorconfig.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/shorteners/goo_gl/CMakeLists.txt ===
include_directories(
${CHOQOK_INCLUDES}
)

set( choqok_goo_gl_SRCS
goo_gl.cpp )

kde4_add_plugin(choqok_goo_gl ${choqok_goo_gl_SRCS})

target_link_libraries(choqok_goo_gl ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_goo_gl DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES choqok_goo_gl.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/uploaders/twitpic/CMakeLists.txt ===

include_directories(
${CHOQOK_INCLUDES}
)

add_subdirectory(icons)
########### next target ###############

set( choqok_twitpic_PART_SRCS
twitpic.cpp)

# kde4_add_ui_files(choqok_twitpic_PART_SRCS twitpicuploadimage_base.ui)

kde4_add_kcfg_files(choqok_twitpic_PART_SRCS twitpicsettings.kcfgc )

kde4_add_plugin(choqok_twitpic ${choqok_twitpic_PART_SRCS})

target_link_libraries(choqok_twitpic ${KDE4_KIO_LIBS} choqok)

install(TARGETS choqok_twitpic DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set( kcm_choqok_twitpic_PART_SRCS
twitpicconfig.cpp )

kde4_add_ui_files(kcm_choqok_twitpic_PART_SRCS twitpicprefs.ui )

kde4_add_kcfg_files(kcm_choqok_twitpic_PART_SRCS twitpicsettings.kcfgc )

kde4_add_plugin(kcm_choqok_twitpic ${kcm_choqok_twitpic_PART_SRCS})

target_link_libraries(kcm_choqok_twitpic ${KDE4_KDEUI_LIBS} choqok)

install(TARGETS kcm_choqok_twitpic DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

install( FILES twitpicsettings.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES choqok_twitpic_config.desktop choqok_twitpic.desktop
         DESTINATION ${SERVICES_INSTALL_DIR})
# install( FILES twitpicui.rc  DESTINATION  ${DATA_INSTALL_DIR}/choqok_twitpic )

## choqok 1.0

=== libchoqok/CMakeLists.txt ===
--- 
+++ 
@@ -26,10 +26,16 @@
 ui/choqoktextedit.cpp
 ui/composerwidget.cpp
 ui/quickpost.cpp
-ui/mainwindow.cpp
+ui/choqokmainwindow.cpp
 ui/uploadmediadialog.cpp
 ui/textbrowser.cpp
 )
+
+if(QtIndicate_FOUND)
+    set(choqok_LIB_SRCS ${choqok_LIB_SRCS} indicatormanager.cpp)
+    include_directories(${QTINDICATE_INCLUDE_DIRS})
+    add_definitions(-DQTINDICATE_BUILD)
+endif(QtIndicate_FOUND)
 
 qt4_add_dbus_adaptor( choqok_LIB_SRCS org.kde.choqok.xml dbushandler.h Choqok::DbusHandler ChoqokAdaptor ) 
 
@@ -44,9 +50,14 @@
 
 target_link_libraries(choqok ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KUTILS_LIBS})
 
+if(QtIndicate_FOUND)
+       add_definitions(-DXDG_APPS_INSTALL_DIR=${XDG_APPS_INSTALL_DIR})
+       target_link_libraries(choqok ${QTINDICATE_LIBRARY})
+endif(QtIndicate_FOUND)
+
 set_target_properties(choqok PROPERTIES
-VERSION 0.9.85
-SOVERSION 0
+VERSION 1.0.0
+SOVERSION 1
 )
 
 if(MSVC)
@@ -85,7 +96,7 @@
     ui/choqoktextedit.h
     ui/composerwidget.h
     ui/editaccountwidget.h
-    ui/mainwindow.h
+    ui/choqokmainwindow.h
     ui/microblogwidget.h
     ui/postwidget.h
     ui/quickpost.h

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(nb)
add_subdirectory(km)
add_subdirectory(gl)
add_subdirectory(fr)
add_subdirectory(et)
add_subdirectory(pl)
add_subdirectory(sv)
add_subdirectory(ca)
add_subdirectory(en_GB)
add_subdirectory(uk)
add_subdirectory(cs)
add_subdirectory(zh_TW)
add_subdirectory(el)
add_subdirectory(bg)
add_subdirectory(tr)
add_subdirectory(fi)
add_subdirectory(pa)
add_subdirectory(eo)
add_subdirectory(zh_CN)
add_subdirectory(nds)
add_subdirectory(ca@valencia)
add_subdirectory(is)
add_subdirectory(hr)
add_subdirectory(sk)
add_subdirectory(da)
add_subdirectory(lt)
add_subdirectory(ga)
add_subdirectory(ru)
add_subdirectory(de)
add_subdirectory(hu)
add_subdirectory(es)
add_subdirectory(ro)
add_subdirectory(ms)
add_subdirectory(pt_BR)
add_subdirectory(fa)
add_subdirectory(pt)
add_subdirectory(nl)
add_subdirectory(ja)

=== debian/changelog ===
choqok (1.0-0ubuntu4) natty; urgency=low

  * Add kubuntu_02_fix_message_indicator.diff fixes message indicator
    support

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Mar 2011 12:40:13 +0000

choqok (1.0-0ubuntu3) natty; urgency=low

  * Rebuild with libindicate-qt 0.2.5.91-0ubuntu2 to fix dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Feb 2011 13:38:11 +0000

choqok (1.0-0ubuntu2) natty; urgency=low

  * Build against libindicate-qt 0.2.5.91 for soname transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Feb 2011 18:00:24 +0000

choqok (1.0-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #710981)
  * Merge from debian unstable.  Remaining changes:
    - debian/control:
      + Bump Build-Depends on kdelibs5-dev 4.5.2a-0ubuntu2
        for libkutils4 transition.
      + Add libattica-dev as build-depend, an OCS plugin was added.
      + Add libindicate-qt-dev as build-depend, choqok supports the
        message indicator now.
    - debian/patches/kubuntu_01_consumerkey.diff:
      + Switch to custom Kubuntu OAuth id.
    - debian/README.source: Make lintian happy.
    - debian/rules:
      + Set export KUBUNTU_DESKTOP_POT=extragear-network_choqok.
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/{control, rules}: Drop support old quilt.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 01 Feb 2011 00:11:03 +0100

choqok (1.0~rc1-1) unstable; urgency=low

  * New upstream snapshot based on revision 5ef554f.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 31 Dec 2010 23:21:18 -0800

choqok (1.0~beta4-1) unstable; urgency=low

  * New upstream release
  * Remove debian patches that are present upstream.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 29 Oct 2010 00:51:47 -0700

choqok (0.9.98-0ubuntu1) natty; urgency=low

  * New upstream release candidate (LP: #701178)
    - Refresh kubuntu_01_consumerkey.diff
    - Add README.source to make lintian happy
  * Add libattica-dev as build-depend, an OCS plugin was added
  * Add libindicate-qt-dev as build-depend, choqok supports the 
    message indicator now

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 10 Jan 2011 20:06:01 +0100

choqok (0.9.92-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 28 Oct 2010 19:50:19 +0200

choqok (0.9.85-0ubuntu3) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a-0ubuntu2 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 07:14:10 +0200

choqok (0.9.85-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_consumerkey.diff to switch to custom Kubuntu OAuth id
    - Add quilt as build-dep and modify rules file accordingly

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 03 Oct 2010 17:34:18 +0530

choqok (0.9.85-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@ubuntu.com>  Thu, 19 Aug 2010 23:11:24 +0530

choqok (0.9.81-3) unstable; urgency=low

  * Include upstream change 22178386 to allow choqok to still work if
    the user has opted not to use kwallet.  (Closes: #597315)
  * Add quilt to Build-Depends to apply the above patch at build time.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 29 Oct 2010 00:51:33 -0700

choqok (0.9.81-2) unstable; urgency=low

  * Depend on libqca2-plugin-ossl (Closes: #593537)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 21 Aug 2010 04:45:04 -0700

choqok (0.9.81-1ubuntu1) maverick; urgency=low

  * Set export KUBUNTU_DESKTOP_POT=extragear-network_choqok

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 18:01:47 +0100

choqok (0.9.81-1) unstable; urgency=low

  * New upstream snapshot fixes crash when expanding shortened URLs.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 13 Jul 2010 09:05:44 -0700

choqok (0.9.55+git20100712-1) unstable; urgency=low

  * New upstream snapshot based on 303721d
  * Provide a versioned build-dep on libqoauth-dev, just to make sure we
    don't get built against the buggy 1.0-1 packages.
  * Bump standards version to 3.9.0 (no changes needed)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 12 Jul 2010 21:51:12 -0700

choqok (0.9.55+git20100629-1) unstable; urgency=low

  * New upstream git snapshot from 101ae3e.  (Closes: #587420, #585443)
  * Build-depend on libqoauth-dev (Closes: #587420)
  * Build-depend on libqjson-dev due to upstream changes allowing the 
    use of twitter via json
  * Build-depend on docbook-xml and use the local docbookx.dtd file

 -- Noah Meyerhans <noahm@debian.org>  Wed, 07 Jul 2010 11:41:08 -0700

choqok (0.9.55-1) unstable; urgency=low

  * New upstream release 0.9.55 (1.0 beta1)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 12 Mar 2010 09:35:46 -0800

choqok (0.9.4+git20100228-1) unstable; urgency=low

  * New upstream git snapshot from revision 8fbaa50
  * Bump standards version to 3.8.4 (no changes needed)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 28 Feb 2010 19:22:22 -0800

choqok (0.9.4+git20100131-1) unstable; urgency=low

  * New upstream git snapshot including changes up to 
    48bac7e7879b54663f6d6ede09ec08f2008ebd39
  * Fix a spelling error in debian/control

 -- Noah Meyerhans <noahm@debian.org>  Wed, 03 Feb 2010 21:13:00 -0800

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
-Uploaders: Andrey Voronov <voronov84@gmail.com>
-Build-Depends: debhelper (>= 7.0.50), pkg-kde-tools, kdelibs5-dev (>= 4:4.3.0)
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7), cmake, kdelibs5-dev (>= 4:4.5.2a-0ubuntu2), docbook2x,
+               cdbs, pkg-kde-tools, libqoauth-dev (>= 1.0-2), libqjson-dev, docbook-xml,
+               libattica-dev, libindicate-qt-dev (>= 0.2.5.91)
+Standards-Version: 3.9.0
 Homepage: http://choqok.gnufolks.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/choqok/ubuntu
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/choqok/ubuntu
+Vcs-Browser: http://git.debian.org/?p=collab-maint/choqok.git
+Vcs-Git: http://git.debian.org/git/collab-maint/choqok.git
 
 Package: choqok
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqca2-plugin-ossl
 Description: KDE micro-blogging client
  Choqok is a fast, efficient and simple to use micro-blogging client for KDE.
  It currently supports the twitter.com and identi.ca microblogging services.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export KUBUNTU_DESKTOP_POT=extragear-network_choqok

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

DEB_INSTALL_MANPAGES_choqok = choqok.1

build/choqok::
	docbook2x-man debian/choqok.1.docbook

install/choqok::
	rm debian/choqok/usr/lib/*.so

clean::
	rm -f choqok.1

## choqok 1.1

=== libchoqok/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 )
 
 set(choqok_LIB_SRCS
+application.cpp
 plugin.cpp
 shortener.cpp
 uploader.cpp
@@ -56,7 +57,7 @@
 endif(QtIndicate_FOUND)
 
 set_target_properties(choqok PROPERTIES
-VERSION 1.0.0
+VERSION 1.0.1
 SOVERSION 1
 )
 
@@ -76,6 +77,7 @@
 install( FILES
     ${CMAKE_CURRENT_BINARY_DIR}/choqokbehaviorsettings.h
     ${CMAKE_CURRENT_BINARY_DIR}/choqokappearancesettings.h
+    application.h
     account.h
     accountmanager.h
     choqok_export.h

=== debian/changelog ===
choqok (1.1-1ubuntu2) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)
  * Update VCS entries for bzr

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 16 Sep 2011 17:11:31 +0200

choqok (1.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian, remaining changes, (LP: #788772)
    - Add kubuntu_02_fix_message_indicator.diff fixes message indicator
      support
    - debian/rules:
        + Set export KUBUNTU_DESKTOP_POT=extragear-network_choqok.
    - debian/patches/kubuntu_01_consumerkey.diff:
        + Switch to custom Kubuntu OAuth id.

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 26 May 2011 19:26:58 +0200

choqok (1.1-1) unstable; urgency=low

  * New upstream version based on git commit 44c81b3e

 -- Noah Meyerhans <noahm@debian.org>  Sat, 12 Mar 2011 23:29:39 -0800

choqok (1.0+git1.0.1-1~pre2) unstable; urgency=low

  * Update lintian overrides
  * Remove build-depend on quilt, since we're not patching currently
  * Build-depend on libattica-dev (Closes: #614393)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 21 Feb 2011 18:12:13 -0800

choqok (1.0+git1.0.1-1~pre1) unstable; urgency=low

  * New upstream release based on revision 8f3f89af

 -- Noah Meyerhans <noahm@debian.org>  Sun, 20 Feb 2011 16:12:29 -0800

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                libattica-dev, libindicate-qt-dev (>= 0.2.5.91)
 Standards-Version: 3.9.0
 Homepage: http://choqok.gnufolks.org
-Vcs-Browser: http://git.debian.org/?p=collab-maint/choqok.git
-Vcs-Git: http://git.debian.org/git/collab-maint/choqok.git
+Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/choqok
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/choqok
 
 Package: choqok
 Architecture: any
